Bug 54077 - XF86-4.0.3 locks up machine with Savage4 if switch virtual console
XF86-4.0.3 locks up machine with Savage4 if switch virtual console
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-09-26 17:43 EDT by Oisin C. Feeley
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-11 18:40:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XF86-4.0.3 XF86Config that produced freeze/crash/hang (15.04 KB, text/plain)
2001-09-26 17:47 EDT, Oisin C. Feeley
no flags Details
XF86-4.0.3 XF86Config-4 for Savage4 freeze/crash/hang (2.01 KB, text/plain)
2001-09-26 17:49 EDT, Oisin C. Feeley
no flags Details

  None (edit)
Description Oisin C. Feeley 2001-09-26 17:43:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686; Nav)

Description of problem:
	Video Accelerator: S3 Savage4 16Mb, AGP2x
	Monitor: ViewSonic G773
	OS: GNU/Linux 2.4.2-2 [dist. RH7.1 "Seawolf" (updates, errata applied
using up2date]
	XF86: 4.0.3 rel 5 (top of /var/log/XF86.0.config indicates that it was
compiled on a 2.2.17-8smp)
	Running Gnome and Sawfish

X is hanging/freezing the machine completely for the following three
situations:1. When kudzu runs at boot and configures the video card(always)
2. When switching to a console (sometimes)
3. Logging out from gnome by: MainMenu->logout->halt (always)
4. Logging out from gnome by: MainMenu->logout->logout (sometimes)

Xconfigurator --xpreferxf4 --nodri
Also edited /etc/X11/XF86Config and /etc/X11/XF86Config-4 so that the
"no_accel" option was activated.

case 4 seems not to cause a hang any more.
cases 1,2,3 are still a problem.
Xconfigurator --xpreferxf4 --nodri
Left /etc/X11/XF86Config and /etc/X11/XF86Config-4 with "no_accel"
commented outso that acceleration should have been taking place
case 4 seems not to cause a hang.
cases 1,2,3 are still a problem
Xconfigurator --xpreferxf3 

Cases 1,2,3,4 no longer a problem
X uses SVGA server and provides same resolutions without hangs.

I attach my /etc/X11/XF86Config and /etc/X11/XF86Config-4 files.  I am
sorry that I am unable to provide any strace information but the machine
completely hangs and won't let me zap it or soft reset it.  My only option
is the power switch!
Oisin Feeley
(guess Mike Harris will be on this one?!)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Vanilla install RH7.1 on a machine with Diamond Stealth III S540 (Savage
4 chipset) 16MB, AGP2
2 During boot interact with kudzu telling it to configure the video card
(give it 1152x840x16bpp)
3.Watch it hang.  Then reboot don't interact with kudzu and try to switch
consoles with Alt-F2 etc.  If that doesn't freeze it then (in gnome) do

Actual Results:  Complete system freeze.  I left it for up to 2 hours and
it was still locked up.  Wouldnt zap the Xserver with CTRL-ALT-BS , nor yet
reboot the system with CTRL-ALT-DEL

Expected Results:  Kudzu after saying "I shall now test your Xconfig"
should have dropped seamlessly back into the interactive boot.  Consoles
should have switched.  Logout / halt should have happened without hanging
the machine.

Additional info:

Unfortunately there IS no output from the crash!
Comment 1 Oisin C. Feeley 2001-09-26 17:47:49 EDT
Created attachment 32698 [details]
XF86-4.0.3 XF86Config that produced freeze/crash/hang
Comment 2 Oisin C. Feeley 2001-09-26 17:49:23 EDT
Created attachment 32699 [details]
XF86-4.0.3 XF86Config-4 for Savage4 freeze/crash/hang
Comment 3 Mike A. Harris 2001-11-06 06:23:34 EST
This problem should be fixed in the latest XFree86 build.  You
can obtain XFree86-4.1.0-5 or later from:


It includes the latest stable Savage driver updates.  Does it
solve the problem for you?  Also be sure you're using our
latest kernel erratum which includes some console switching
fixes on the kernel side of things.
Comment 4 Oisin C. Feeley 2002-01-11 18:40:10 EST
Hi Mike,
The Good News:
the XF864.0.5 which was in the bleeding-edge directory at the time of your last
post did not solve the problem.  I have now installed 4.1.99 from your
bleeding-edge directory and the problem is gone.  Of course, I have also been
using up2date and there have been errata since then.  So, problem fixed but I'm
not sure why!  Thanks for your work on this. 
The Bad News:
I can get XF86 to lock up when I use particular screen savers.  Should I open a
separate bug report for that?
Comment 5 Mike A. Harris 2002-06-19 12:59:04 EDT
Yes, all bugs should be filed individually in separate bug reports.

Closing bug as fixed in Red Hat Linux 7.3 (XFree86 4.2.0).

Note You need to log in before you can comment on or make changes to this bug.